# pandas.core.groupby.DataFrameGroupBy.corrwith

property DataFrameGroupBy.corrwith

  Compute pairwise correlation.

  Pairwise correlation is computed between rows or columns of DataFrame with rows or columns of Series or DataFrame. DataFrames are first aligned along both axes before computing the correlations.

  Parameters
    other DataFrame, Series

      Object with which to compute correlations.

    axis{0 or ‘index’, 1 or ‘columns’}, default 0

      The axis to use. 0 or ‘index’ to compute column-wise, 1 or ‘columns’ for row-wise.

    drop bool, default False

      Drop missing indices from result.

    method{‘pearson’, ‘kendall’, ‘spearman’} or callable

      Method of correlation:

      - pearson : standard correlation coefficient

      - kendall : Kendall Tau correlation coefficient

      - spearman : Spearman rank correlation

      - callable: callable with input two 1d ndarrays

          and returning a float.

  Returns
    Series

      Pairwise correlations.

  See also

  `DataFrame.corr`

    Compute pairwise correlation of columns.